summaryrefslogtreecommitdiffstats
path: root/tools/test/h5diff/testph5diff.sh.in
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2016-10-27 15:06:00 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2016-10-27 15:06:00 (GMT)
commit2c6dbbf2129c4997606be4b130346d42fe12eae3 (patch)
treedb8430aa5757b32f3bd46928798cc2b686a72bfb /tools/test/h5diff/testph5diff.sh.in
parent5b562d9ce9b2945d0378b9c03e01f42923da80f4 (diff)
downloadhdf5-2c6dbbf2129c4997606be4b130346d42fe12eae3.zip
hdf5-2c6dbbf2129c4997606be4b130346d42fe12eae3.tar.gz
hdf5-2c6dbbf2129c4997606be4b130346d42fe12eae3.tar.bz2
Split tools into src and test - add folders
Diffstat (limited to 'tools/test/h5diff/testph5diff.sh.in')
-rw-r--r--tools/test/h5diff/testph5diff.sh.in64
1 files changed, 64 insertions, 0 deletions
diff --git a/tools/test/h5diff/testph5diff.sh.in b/tools/test/h5diff/testph5diff.sh.in
new file mode 100644
index 0000000..ca212a1
--- /dev/null
+++ b/tools/test/h5diff/testph5diff.sh.in
@@ -0,0 +1,64 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page. It can also be found at
+# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have
+# access to either file, you may request a copy from help@hdfgroup.org.
+#
+
+srcdir=@srcdir@
+
+TESTNAME=ph5diff
+EXIT_SUCCESS=0
+EXIT_FAILURE=1
+
+TOOL=testh5diff.sh
+
+nerrors=0
+
+# Print a line-line message left justified in a field of 70 characters
+# beginning with the word "Testing".
+#
+TESTING() {
+ SPACES=" "
+ echo "Testing $* $SPACES" | cut -c1-70 | tr -d '\012'
+}
+
+# Run a test. If a test fails then increment the `nerrors' global variable.
+#
+TOOLTEST() {
+ # Run test.
+ echo $TOOL "$@"
+ /bin/sh $TOOL "$@"
+
+ # Check if the command failed and increment nerrors if so.
+ if test $? -ne 0 ; then
+ nerrors="`expr $nerrors + 1`"
+ fi
+}
+
+##############################################################################
+##############################################################################
+### T H E T E S T S ###
+##############################################################################
+##############################################################################
+
+# Invoke the regular h5diff testing script, with the -p parameter to indicate
+# that it should run the parallel version of the tests
+TOOLTEST -p
+
+# no need to print any message since this is just a shell to invoke
+# testh5diff.sh which has already printed the result. Just exit.
+if test $nerrors -eq 0 ; then
+ exit $EXIT_SUCCESS
+else
+ exit $EXIT_FAILURE
+fi